# -*- coding: utf-8 -*-
import os

import irc3
import psycopg2
from psycopg2.extras import DictCursor

from . import Plugin


@irc3.plugin
class Database(Plugin):
    def __init__(self, bot: irc3.IrcBot):
        super().__init__(bot)
        self.db = psycopg2.connect(os.environ['DATABASE_URI'])
        self.cur = self.db.cursor(cursor_factory=DictCursor)
        self.bot.con = self
